Bug 1090572 - [abrt] will-crash: printf(): will_segfault killed by SIGSEGV
Summary: [abrt] will-crash: printf(): will_segfault killed by SIGSEGV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: will-crash
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Marko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:70d7bc092bdd048d3feb266d6bb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-23 15:46 UTC by Jakub Filak
Modified: 2016-02-01 02:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 18:44:12 UTC


Attachments (Terms of Use)
File: backtrace (4.26 KB, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details
File: cgroup (172 bytes, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details
File: core_backtrace (2.63 KB, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details
File: dso_list (298 bytes, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details
File: environ (3.74 KB, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details
File: limits (1.29 KB, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details
File: maps (1.78 KB, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details
File: open_fds (108 bytes, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details
File: var_log_messages (712 bytes, text/plain)
2014-04-23 15:46 UTC, Jakub Filak
no flags Details

Description Jakub Filak 2014-04-23 15:46:12 UTC
Description of problem:
ABRT testing, please disregard this particular bug report.

Version-Release number of selected component:
will-crash-0.6-1.el7

Additional info:
reporter:       libreport-2.2.2.1.g2c86
backtrace_rating: 4
cmdline:        will_segfault
crash_function: printf
executable:     /usr/bin/will_segfault
kernel:         3.10.0-121.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            18601

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 printf at /usr/include/bits/stdio2.h:104
 #1 crash at will_segfault.c:17
 #2 varargs at will_segfault.c:29
 #3 inlined at will_segfault.c:38
 #4 f at will_segfault.c:43
 #5 callback at will_segfault.c:48
 #6 call_me_back at libwillcrash.c:8
 #7 recursive at will_segfault.c:57

Comment 1 Jakub Filak 2014-04-23 15:46:15 UTC
Created attachment 888991 [details]
File: backtrace

Comment 2 Jakub Filak 2014-04-23 15:46:17 UTC
Created attachment 888992 [details]
File: cgroup

Comment 3 Jakub Filak 2014-04-23 15:46:19 UTC
Created attachment 888993 [details]
File: core_backtrace

Comment 4 Jakub Filak 2014-04-23 15:46:21 UTC
Created attachment 888994 [details]
File: dso_list

Comment 5 Jakub Filak 2014-04-23 15:46:24 UTC
Created attachment 888995 [details]
File: environ

Comment 6 Jakub Filak 2014-04-23 15:46:26 UTC
Created attachment 888996 [details]
File: limits

Comment 7 Jakub Filak 2014-04-23 15:46:27 UTC
Created attachment 888997 [details]
File: maps

Comment 8 Jakub Filak 2014-04-23 15:46:30 UTC
Created attachment 888998 [details]
File: open_fds

Comment 9 Jakub Filak 2014-04-23 15:46:32 UTC
Created attachment 888999 [details]
File: proc_pid_status

Comment 10 Jakub Filak 2014-04-23 15:46:34 UTC
Created attachment 889000 [details]
File: var_log_messages

Comment 11 Jakub Filak 2014-04-23 16:02:52 UTC
Description of problem:
Cool new comment!

Version-Release number of selected component:
will-crash-0.6-1.el7

Additional info:
reporter:       libreport-2.2.2.1.g2c86
backtrace_rating: 4
cmdline:        will_segfault
crash_function: printf
executable:     /usr/bin/will_segfault
kernel:         3.10.0-121.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            18601

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 printf at /usr/include/bits/stdio2.h:104
 #1 crash at will_segfault.c:17
 #2 varargs at will_segfault.c:29
 #3 inlined at will_segfault.c:38
 #4 f at will_segfault.c:43
 #5 callback at will_segfault.c:48
 #6 call_me_back at libwillcrash.c:8
 #7 recursive at will_segfault.c:57

Comment 12 Jakub Filak 2014-04-24 10:29:17 UTC
Another user experienced a similar problem:

ABRT testing, please disregard this particular bug report.

reporter:       libreport-2.1.11.37.g3601
backtrace_rating: 4
cmdline:        will_segfault
crash_function: printf
executable:     /usr/bin/will_segfault
kernel:         3.10.0-121.el7.x86_64
package:        will-crash-0.6-1.el7
reason:         will_segfault killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            18601

Comment 13 Jakub Filak 2014-07-09 14:21:01 UTC
Another user experienced a similar problem:

Clone for Fedora 20

reporter:       libreport-2.2.3.dirty
backtrace_rating: 4
cmdline:        will_segfault
crash_function: printf
executable:     /usr/bin/will_segfault
kernel:         3.15.3-200.fc20.x86_64
package:        will-crash-0.7-1.fc20
reason:         will_segfault killed by SIGSEGV
runlevel:       3 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.